ambari-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Hudson (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (AMBARI-21414) After Upgrading From non-HDP to HDP the Stacks/Versions Page Allows Upgrade Back to non-HDP
Date Tue, 25 Jul 2017 19:29:00 GMT

    [ https://issues.apache.org/jira/browse/AMBARI-21414?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=16100609#comment-16100609
] 

Hudson commented on AMBARI-21414:
---------------------------------

FAILURE: Integrated in Jenkins build Ambari-trunk-Commit #7803 (See [https://builds.apache.org/job/Ambari-trunk-Commit/7803/])
AMBARI-21414 After Upgrading From non-HDP to HDP the Stacks/Versions (atkach: [http://git-wip-us.apache.org/repos/asf?p=ambari.git&a=commit&h=6aca7feaca55929b64725e44a3bbf123d6adfcfb])
* (edit) ambari-web/app/views/main/admin/stack_upgrade/versions_view.js
* (edit) ambari-web/test/views/main/admin/stack_upgrade/version_view_test.js


> After Upgrading From non-HDP to HDP the Stacks/Versions Page Allows Upgrade Back to non-HDP
> -------------------------------------------------------------------------------------------
>
>                 Key: AMBARI-21414
>                 URL: https://issues.apache.org/jira/browse/AMBARI-21414
>             Project: Ambari
>          Issue Type: Bug
>          Components: ambari-web
>    Affects Versions: 2.5.2
>            Reporter: Andrii Tkach
>            Assignee: Andrii Tkach
>            Priority: Blocker
>             Fix For: 2.5.2
>
>         Attachments: AMBARI-21414.patch, AMBARI-21414_trunk.patch
>
>
> After successfully upgrading from non-HDP to HDP, the Stacks and Versions page shows
both stacks. This is wrong for two reasons:
> - No component is left on non-HDP and it should not be shown since it's not compatible
with HDP
> - There is an Upgrade button clickable on the non-HDP stack
> STR:
> - Install non-HDP stack
> - Upgrade to Apache Ambari 2.5.2
> - Register an HDP repo and perform an upgrade
> The following shows that the compatible repositories are only HDP
> {code}
> {
>   "items" : [
>     {
>       "CompatibleRepositoryVersions" : {
>         "repository_version" : "2.6.0.0-334"
>       }
>     }
>   ]
> }
> {code}



--
This message was sent by Atlassian JIRA
(v6.4.14#64029)

Mime
View raw message